Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » buckminster build project
buckminster build project [message #875295] Tue, 22 May 2012 13:40 Go to next message
Vlad Dumitrescu is currently offline Vlad Dumitrescu
Messages: 318
Registered: July 2009
Location: Gothenburg
Senior Member
Hi,

I was pleased to see the new (for me) Buckminster build wizard. I gave it a try, but there is a problem with the rmap file:

[exec] INFO: resolve '/home/qvladum/workspace_shade_new/org.erlide.buckminster/projects-platform.cquery'
[exec] ERROR [0001] : org.xml.sax.SAXParseException: cvc-complex-type.2.4.a: Invalid content was found starting with element 'rm:property'. One of '{"http://www.eclipse.org/buckminster/RMap-1.0":matcher, "http://www.eclipse.org/buckminster/RMap-1.0":uri}' is expected.: file:/home/qvladum/workspace_shade_new/org.erlide.buckminster/projects-platform.rmap at line: 14 column: 60

Should I file a bug?

regards,
Vlad
Re: buckminster build project [message #875297 is a reply to message #875295] Tue, 22 May 2012 13:41 Go to previous messageGo to next message
Vlad Dumitrescu is currently offline Vlad Dumitrescu
Messages: 318
Registered: July 2009
Location: Gothenburg
Senior Member
BTW, I tried with the 3.6 Buckminster, maybe the format has changed? (But then it wouldn't still be 1.0)

/Vlad
Re: buckminster build project [message #875532 is a reply to message #875297] Tue, 22 May 2012 23:09 Go to previous messageGo to next message
Lorenzo Bettini is currently offline Lorenzo Bettini
Messages: 1368
Registered: July 2009
Senior Member
On 05/22/2012 03:41 PM, Vlad Dumitrescu wrote:
> BTW, I tried with the 3.6 Buckminster, maybe the format has changed?
> (But then it wouldn't still be 1.0)
>
> /Vlad

Hi

I've just started using Buckminster (mainly thanks to Xtext wizards :)
and I had no problem with it, using Buckminster 3.7, though

cheers
Lorenzo

--
Lorenzo Bettini, PhD in Computer Science, DI, Univ. Torino
ICQ# lbetto, 16080134 (GNU/Linux User # 158233)
HOME: http://www.lorenzobettini.it MUSIC: http://www.purplesucker.com
http://www.myspace.com/supertrouperabba
BLOGS: http://tronprog.blogspot.com http://longlivemusic.blogspot.com
http://www.gnu.org/software/src-highlite
http://www.gnu.org/software/gengetopt
http://www.gnu.org/software/gengen http://doublecpp.sourceforge.net
Re: buckminster build project [message #875704 is a reply to message #875532] Wed, 23 May 2012 07:50 Go to previous messageGo to next message
Vlad Dumitrescu is currently offline Vlad Dumitrescu
Messages: 318
Registered: July 2009
Location: Gothenburg
Senior Member
Thanks Lorenzo, I can confirm it works better with the 3.7 buckminster.

Did everything else work out of the box for you? I am getting an error when resolving the platform:

No suitable provider for component org.apache.commons.lang:osgi.bundle/[2.6.0.v201205030909,2.6.0.v201205030909]

regards,
Vlad
Re: buckminster build project [message #875724 is a reply to message #875704] Wed, 23 May 2012 08:32 Go to previous messageGo to next message
Dennis Huebner is currently offline Dennis Huebner
Messages: 213
Registered: July 2009
Senior Member

Hi Vlad,
it's a bug see https://bugs.eclipse.org/bugs/show_bug.cgi?id=380365
We have a new dependency in RC1 which is not included in the indigo p2 repository.
Just add a new locator for org.apache.commons.logging so your platform cquery looks like this:
...
<rm:locator pattern="javax.inject" searchPathRef="xtext"/>
<rm:locator pattern="^org\.apache\.commons\.lang.*" searchPathRef="xtext"/>
<rm:locator searchPathRef="eclipse"/>
...

Best regards,
Dennis.




Re: buckminster build project [message #875729 is a reply to message #875724] Wed, 23 May 2012 08:41 Go to previous messageGo to next message
Vlad Dumitrescu is currently offline Vlad Dumitrescu
Messages: 318
Registered: July 2009
Location: Gothenburg
Senior Member
Ah, thank you Dennis! I had tried that, but I might have spelled something wrong.

best regards,
Vlad
Re: buckminster build project [message #875736 is a reply to message #875729] Wed, 23 May 2012 08:54 Go to previous messageGo to next message
Dennis Huebner is currently offline Dennis Huebner
Messages: 213
Registered: July 2009
Senior Member

Vlad,
you can also switch to the Juno repository, it would also work.
...
<rm:property key="eclipse.target.platform" value="${eclipse.download}/releases/juno"/>
...

It's even better because I will remove commons.lang from the Xtext p2 repository next week.
I probably should also set wizard's default target platform to Juno ... Rolling Eyes

Regards,
Dennis


Re: buckminster build project [message #875749 is a reply to message #875736] Wed, 23 May 2012 09:15 Go to previous messageGo to next message
Vlad Dumitrescu is currently offline Vlad Dumitrescu
Messages: 318
Registered: July 2009
Location: Gothenburg
Senior Member
Thanks for the Juno tip, but we are stuck on Indigo for the time being.

I still have a problem, which is not really Xtext's but maybe you stumbled on it too: I am using org.eclipselabs.xtext.utils.unittesting for the testing and when resolving the workspace I get "No suitable provider for component org.eclipselabs.xtext.utils.unittesting:osgi.bundle was found in resourceMap project.rmap".

I had added the unittesting repository to projects-platform.rmap. Do you have any ideas?

regards,
Vlad
Re: buckminster build project [message #875750 is a reply to message #875749] Wed, 23 May 2012 09:17 Go to previous messageGo to next message
Vlad Dumitrescu is currently offline Vlad Dumitrescu
Messages: 318
Registered: July 2009
Location: Gothenburg
Senior Member
Hmm, the unittesting stuff works if I remove the dependency on the plugin and add an import-package.

/Vlad
Re: buckminster build project [message #875753 is a reply to message #875750] Wed, 23 May 2012 09:21 Go to previous messageGo to next message
Vlad Dumitrescu is currently offline Vlad Dumitrescu
Messages: 318
Registered: July 2009
Location: Gothenburg
Senior Member
... except that no suitable plugin exports that package. There's probably something wrong when importing the target platform.
/Vlad
Re: buckminster build project [message #875831 is a reply to message #875753] Wed, 23 May 2012 11:56 Go to previous messageGo to next message
Dennis Huebner is currently offline Dennis Huebner
Messages: 213
Registered: July 2009
Senior Member

Hi Vlad,
can you post your project.rmap?

Thanks,
Dennis.


Re: buckminster build project [message #875833 is a reply to message #875831] Wed, 23 May 2012 12:03 Go to previous message
Vlad Dumitrescu is currently offline Vlad Dumitrescu
Messages: 318
Registered: July 2009
Location: Gothenburg
Senior Member
I think I found the solution. The unittest plugin is only referred to by the tests plugin, which is not included in the main feature. For this reason, it is not considered for import in the target platform.

I moved the respective declarations from projects-platform.rmap to project.rmap and it works now.

Thanks!
/Vlad
Previous Topic:Problem running Mwe2 worflow
Next Topic:Content assist does not work
Goto Forum:
  


Current Time: Tue Oct 21 18:37:07 GMT 2014

Powered by FUDForum. Page generated in 0.02093 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software